// This file is generated by kconfig_compiler_kf5 from htmlexportsettings.kcfg.
// All changes you do to this file will be lost.

#include "htmlexportsettings.h"

using namespace KCalUtils;

HTMLExportSettings::HTMLExportSettings(  const QString & application )
  : KConfigSkeleton( QStringLiteral( "libkcalutils_htmlexportrc" ) )
  , mParamapplication(application)
{
  setCurrentGroup( QStringLiteral( "%1-General" ).arg( mParamapplication ) );

  mNameItem = new KConfigSkeleton::ItemString( currentGroup(), QStringLiteral( "Name" ), mName );
  mNameItem->setLabel( QCoreApplication::translate("HTMLExportSettings", "Full name of the calendar owner") );
  mNameItem->setToolTip( QCoreApplication::translate("HTMLExportSettings", "The full name of the calendar owner for the export") );
  mNameItem->setWhatsThis( QCoreApplication::translate("HTMLExportSettings", "Enter the full name to print for the owner of the calendar.") );
  addItem( mNameItem, QStringLiteral( "Name" ) );
  mEMailItem = new KConfigSkeleton::ItemString( currentGroup(), QStringLiteral( "EMail" ), mEMail );
  mEMailItem->setLabel( QCoreApplication::translate("HTMLExportSettings", "Email of the calendar owner") );
  mEMailItem->setToolTip( QCoreApplication::translate("HTMLExportSettings", "The email address of the calendar owner for the export") );
  mEMailItem->setWhatsThis( QCoreApplication::translate("HTMLExportSettings", "Enter the email address to print for the owner of the calendar.") );
  addItem( mEMailItem, QStringLiteral( "EMail" ) );
  mCreditNameItem = new KConfigSkeleton::ItemString( currentGroup(), QStringLiteral( "Credit Name" ), mCreditName );
  mCreditNameItem->setLabel( QCoreApplication::translate("HTMLExportSettings", "Creator application") );
  mCreditNameItem->setToolTip( QCoreApplication::translate("HTMLExportSettings", "Creator application of the calendar") );
  mCreditNameItem->setWhatsThis( QCoreApplication::translate("HTMLExportSettings", "Enter a creator application of the calendar, for example KOrganizer.") );
  addItem( mCreditNameItem, QStringLiteral( "CreditName" ) );
  mCreditURLItem = new KConfigSkeleton::ItemString( currentGroup(), QStringLiteral( "Credit URL" ), mCreditURL );
  mCreditURLItem->setLabel( QCoreApplication::translate("HTMLExportSettings", "Creator URL") );
  mCreditURLItem->setToolTip( QCoreApplication::translate("HTMLExportSettings", "URL of the creator application of the calendar.") );
  mCreditURLItem->setWhatsThis( QCoreApplication::translate("HTMLExportSettings", "Enter the URL of the creator application of the calendar, for example http://userbase.kde.org/KOrganizer") );
  addItem( mCreditURLItem, QStringLiteral( "CreditURL" ) );
  mPageTitleItem = new KConfigSkeleton::ItemString( currentGroup(), QStringLiteral( "Page Title" ), mPageTitle, QLatin1String("Calendar") );
  mPageTitleItem->setLabel( QCoreApplication::translate("HTMLExportSettings", "Page Title") );
  mPageTitleItem->setToolTip( QCoreApplication::translate("HTMLExportSettings", "The title of the exported page") );
  mPageTitleItem->setWhatsThis( QCoreApplication::translate("HTMLExportSettings", "Enter a title for the HTML page.") );
  addItem( mPageTitleItem, QStringLiteral( "PageTitle" ) );
  mDateStartItem = new KConfigSkeleton::ItemDateTime( currentGroup(), QStringLiteral( "Date Start" ), mDateStart );
  mDateStartItem->setLabel( QCoreApplication::translate("HTMLExportSettings", "Date start") );
  mDateStartItem->setToolTip( QCoreApplication::translate("HTMLExportSettings", "First day of the range to export") );
  mDateStartItem->setWhatsThis( QCoreApplication::translate("HTMLExportSettings", "First day of the range that shall be exported to HTML.") );
  addItem( mDateStartItem, QStringLiteral( "DateStart" ) );
  mDateEndItem = new KConfigSkeleton::ItemDateTime( currentGroup(), QStringLiteral( "Date End" ), mDateEnd );
  mDateEndItem->setLabel( QCoreApplication::translate("HTMLExportSettings", "Date end") );
  mDateEndItem->setToolTip( QCoreApplication::translate("HTMLExportSettings", "Last day of the range to export") );
  mDateEndItem->setWhatsThis( QCoreApplication::translate("HTMLExportSettings", "Last day of the range that shall be exported to HTML.") );
  addItem( mDateEndItem, QStringLiteral( "DateEnd" ) );
  mOutputFileItem = new KConfigSkeleton::ItemPath( currentGroup(), QStringLiteral( "Output File" ), mOutputFile, QStringLiteral( "$HOME/calendar.html" ) );
  mOutputFileItem->setLabel( QCoreApplication::translate("HTMLExportSettings", "Output filename") );
  mOutputFileItem->setToolTip( QCoreApplication::translate("HTMLExportSettings", "The file name for the export") );
  mOutputFileItem->setWhatsThis( QCoreApplication::translate("HTMLExportSettings", "The output file name for the HTML export.") );
  addItem( mOutputFileItem, QStringLiteral( "OutputFile" ) );
  mStyleSheetItem = new KConfigSkeleton::ItemString( currentGroup(), QStringLiteral( "Style Sheet" ), mStyleSheet );
  mStyleSheetItem->setLabel( QCoreApplication::translate("HTMLExportSettings", "Style sheet") );
  mStyleSheetItem->setToolTip( QCoreApplication::translate("HTMLExportSettings", "CSS style sheet to use by the final HTML page") );
  mStyleSheetItem->setWhatsThis( QCoreApplication::translate("HTMLExportSettings", "CSS style sheet to be used by the final HTML page. This string contains the actual contents of the CSS, not a path to the style sheet.") );
  addItem( mStyleSheetItem, QStringLiteral( "StyleSheet" ) );
  mExcludePrivateItem = new KConfigSkeleton::ItemBool( currentGroup(), QStringLiteral( "Exclude Private" ), mExcludePrivate, true );
  mExcludePrivateItem->setLabel( QCoreApplication::translate("HTMLExportSettings", "Exclude private incidences from the export") );
  mExcludePrivateItem->setToolTip( QCoreApplication::translate("HTMLExportSettings", "Exclude private items from the export") );
  mExcludePrivateItem->setWhatsThis( QCoreApplication::translate("HTMLExportSettings", "Check this box if you do NOT want to export your private items.") );
  addItem( mExcludePrivateItem, QStringLiteral( "ExcludePrivate" ) );
  mExcludeConfidentialItem = new KConfigSkeleton::ItemBool( currentGroup(), QStringLiteral( "Exclude Confidential" ), mExcludeConfidential, true );
  mExcludeConfidentialItem->setLabel( QCoreApplication::translate("HTMLExportSettings", "Exclude confidential incidences from the export") );
  mExcludeConfidentialItem->setToolTip( QCoreApplication::translate("HTMLExportSettings", "Exclude confidential items from the export") );
  mExcludeConfidentialItem->setWhatsThis( QCoreApplication::translate("HTMLExportSettings", "Check this box if you do NOT want to export your confidential items.") );
  addItem( mExcludeConfidentialItem, QStringLiteral( "ExcludeConfidential" ) );

  setCurrentGroup( QStringLiteral( "%1-Events" ).arg( mParamapplication ) );

  mEventViewItem = new KConfigSkeleton::ItemBool( currentGroup(), QStringLiteral( "Event View" ), mEventView, false );
  mEventViewItem->setLabel( QCoreApplication::translate("HTMLExportSettings", "Export events as list") );
  mEventViewItem->setToolTip( QCoreApplication::translate("HTMLExportSettings", "Export events as a list") );
  mEventViewItem->setWhatsThis( QCoreApplication::translate("HTMLExportSettings", "Check this box if you want your events shown as a list.") );
  addItem( mEventViewItem, QStringLiteral( "EventView" ) );
  mMonthViewItem = new KConfigSkeleton::ItemBool( currentGroup(), QStringLiteral( "Month View" ), mMonthView, true );
  mMonthViewItem->setLabel( QCoreApplication::translate("HTMLExportSettings", "Export in month view") );
  mMonthViewItem->setToolTip( QCoreApplication::translate("HTMLExportSettings", "Export events in a month view") );
  mMonthViewItem->setWhatsThis( QCoreApplication::translate("HTMLExportSettings", "Check this box if you want your events shown in a month view.") );
  addItem( mMonthViewItem, QStringLiteral( "MonthView" ) );
  mWeekViewItem = new KConfigSkeleton::ItemBool( currentGroup(), QStringLiteral( "Week View" ), mWeekView, false );
  mWeekViewItem->setLabel( QCoreApplication::translate("HTMLExportSettings", "Export in week view") );
  mWeekViewItem->setToolTip( QCoreApplication::translate("HTMLExportSettings", "Export events in a week view") );
  mWeekViewItem->setWhatsThis( QCoreApplication::translate("HTMLExportSettings", "Check this box if you want your events shown in a week view.") );
  addItem( mWeekViewItem, QStringLiteral( "WeekView" ) );
  mEventTitleItem = new KConfigSkeleton::ItemString( currentGroup(), QStringLiteral( "Title" ), mEventTitle, QLatin1String("Calendar") );
  mEventTitleItem->setLabel( QCoreApplication::translate("HTMLExportSettings", "Title of the calendar") );
  mEventTitleItem->setToolTip( QCoreApplication::translate("HTMLExportSettings", "Title for the event calendar") );
  mEventTitleItem->setWhatsThis( QCoreApplication::translate("HTMLExportSettings", "Enter a string to use for the title of the event calendar.") );
  addItem( mEventTitleItem, QStringLiteral( "EventTitle" ) );
  mEventLocationItem = new KConfigSkeleton::ItemBool( currentGroup(), QStringLiteral( "Export Location" ), mEventLocation, true );
  mEventLocationItem->setLabel( QCoreApplication::translate("HTMLExportSettings", "Export location of the events") );
  mEventLocationItem->setToolTip( QCoreApplication::translate("HTMLExportSettings", "Include the event locations") );
  mEventLocationItem->setWhatsThis( QCoreApplication::translate("HTMLExportSettings", "Check this box if you want the event locations to be exported, only if the event has a location.") );
  addItem( mEventLocationItem, QStringLiteral( "EventLocation" ) );
  mEventCategoriesItem = new KConfigSkeleton::ItemBool( currentGroup(), QStringLiteral( "Export Categories" ), mEventCategories, true );
  mEventCategoriesItem->setLabel( QCoreApplication::translate("HTMLExportSettings", "Export categories of the events") );
  mEventCategoriesItem->setToolTip( QCoreApplication::translate("HTMLExportSettings", "Include the event categories") );
  mEventCategoriesItem->setWhatsThis( QCoreApplication::translate("HTMLExportSettings", "Check this box if you want the event categories to be exported.") );
  addItem( mEventCategoriesItem, QStringLiteral( "EventCategories" ) );
  mEventAttendeesItem = new KConfigSkeleton::ItemBool( currentGroup(), QStringLiteral( "Export Attendees" ), mEventAttendees, false );
  mEventAttendeesItem->setLabel( QCoreApplication::translate("HTMLExportSettings", "Export attendees of the events") );
  mEventAttendeesItem->setToolTip( QCoreApplication::translate("HTMLExportSettings", "Include the event attendees") );
  mEventAttendeesItem->setWhatsThis( QCoreApplication::translate("HTMLExportSettings", "Check this box if you want the event attendees to be exported.") );
  addItem( mEventAttendeesItem, QStringLiteral( "EventAttendees" ) );

  setCurrentGroup( QStringLiteral( "%1-Todos" ).arg( mParamapplication ) );

  mTodoViewItem = new KConfigSkeleton::ItemBool( currentGroup(), QStringLiteral( "Todo View" ), mTodoView, true );
  mTodoViewItem->setLabel( QCoreApplication::translate("HTMLExportSettings", "Export to-do list") );
  mTodoViewItem->setToolTip( QCoreApplication::translate("HTMLExportSettings", "Export the to-do list") );
  mTodoViewItem->setWhatsThis( QCoreApplication::translate("HTMLExportSettings", "Check this box if you want your to-do list to also be exported to the HTML.") );
  addItem( mTodoViewItem, QStringLiteral( "TodoView" ) );
  mTodoListTitleItem = new KConfigSkeleton::ItemString( currentGroup(), QStringLiteral( "TodoList Title" ), mTodoListTitle, QLatin1String("To-do List") );
  mTodoListTitleItem->setLabel( QCoreApplication::translate("HTMLExportSettings", "Title of the to-do list") );
  mTodoListTitleItem->setToolTip( QCoreApplication::translate("HTMLExportSettings", "Title for the to-do list") );
  mTodoListTitleItem->setWhatsThis( QCoreApplication::translate("HTMLExportSettings", "Enter a string to use for the title of the to-do list.") );
  addItem( mTodoListTitleItem, QStringLiteral( "TodoListTitle" ) );
  mTaskDueDateItem = new KConfigSkeleton::ItemBool( currentGroup(), QStringLiteral( "Export Due Date" ), mTaskDueDate, true );
  mTaskDueDateItem->setLabel( QCoreApplication::translate("HTMLExportSettings", "Export due dates of the to-dos") );
  mTaskDueDateItem->setToolTip( QCoreApplication::translate("HTMLExportSettings", "Include to-do due dates") );
  mTaskDueDateItem->setWhatsThis( QCoreApplication::translate("HTMLExportSettings", "Check this box if you want the to-do list due dates to be exported, if the to-do does have a due date.") );
  addItem( mTaskDueDateItem, QStringLiteral( "TaskDueDate" ) );
  mTaskLocationItem = new KConfigSkeleton::ItemBool( currentGroup(), QStringLiteral( "Export Location" ), mTaskLocation, true );
  mTaskLocationItem->setLabel( QCoreApplication::translate("HTMLExportSettings", "Export location of the to-dos") );
  mTaskLocationItem->setToolTip( QCoreApplication::translate("HTMLExportSettings", "Include the to-do locations") );
  mTaskLocationItem->setWhatsThis( QCoreApplication::translate("HTMLExportSettings", "Check this box if you want the to-do locations to be exported, only if the to-do has a location.") );
  addItem( mTaskLocationItem, QStringLiteral( "TaskLocation" ) );
  mTaskCategoriesItem = new KConfigSkeleton::ItemBool( currentGroup(), QStringLiteral( "Export Categories" ), mTaskCategories, true );
  mTaskCategoriesItem->setLabel( QCoreApplication::translate("HTMLExportSettings", "Export categories of the to-dos") );
  mTaskCategoriesItem->setToolTip( QCoreApplication::translate("HTMLExportSettings", "Include the to-do categories") );
  mTaskCategoriesItem->setWhatsThis( QCoreApplication::translate("HTMLExportSettings", "Check this box if you want the to-do categories to be exported.") );
  addItem( mTaskCategoriesItem, QStringLiteral( "TaskCategories" ) );
  mTaskAttendeesItem = new KConfigSkeleton::ItemBool( currentGroup(), QStringLiteral( "Export Attendees" ), mTaskAttendees, false );
  mTaskAttendeesItem->setLabel( QCoreApplication::translate("HTMLExportSettings", "Export attendees of the to-dos") );
  mTaskAttendeesItem->setToolTip( QCoreApplication::translate("HTMLExportSettings", "Include the to-do attendees") );
  mTaskAttendeesItem->setWhatsThis( QCoreApplication::translate("HTMLExportSettings", "Check this box if you want the to-do attendees to be exported.") );
  addItem( mTaskAttendeesItem, QStringLiteral( "TaskAttendees" ) );

  setCurrentGroup( QStringLiteral( "%1-Journals" ).arg( mParamapplication ) );

  mJournalViewItem = new KConfigSkeleton::ItemBool( currentGroup(), QStringLiteral( "Journal View" ), mJournalView, false );
  mJournalViewItem->setLabel( QCoreApplication::translate("HTMLExportSettings", "Export journals") );
  mJournalViewItem->setToolTip( QCoreApplication::translate("HTMLExportSettings", "Export journals") );
  mJournalViewItem->setWhatsThis( QCoreApplication::translate("HTMLExportSettings", "Check this box if you want to export journals as well.") );
  addItem( mJournalViewItem, QStringLiteral( "JournalView" ) );
  mJournalTitleItem = new KConfigSkeleton::ItemString( currentGroup(), QStringLiteral( "Journal Title" ), mJournalTitle, QLatin1String("Journals") );
  mJournalTitleItem->setLabel( QCoreApplication::translate("HTMLExportSettings", "Title of the journal list") );
  mJournalTitleItem->setToolTip( QCoreApplication::translate("HTMLExportSettings", "Title for the journal list") );
  mJournalTitleItem->setWhatsThis( QCoreApplication::translate("HTMLExportSettings", "Enter a title for the Journal list, if Journals are exported.") );
  addItem( mJournalTitleItem, QStringLiteral( "JournalTitle" ) );

  setCurrentGroup( QStringLiteral( "%1-FreeBusy" ).arg( mParamapplication ) );

  mFreeBusyViewItem = new KConfigSkeleton::ItemBool( currentGroup(), QStringLiteral( "FreeBusy View" ), mFreeBusyView, false );
  mFreeBusyViewItem->setLabel( QCoreApplication::translate("HTMLExportSettings", "Export free/busy list") );
  mFreeBusyViewItem->setToolTip( QCoreApplication::translate("HTMLExportSettings", "Export free/busy list") );
  mFreeBusyViewItem->setWhatsThis( QCoreApplication::translate("HTMLExportSettings", "Check this box if you want to export free/busy information as well.") );
  addItem( mFreeBusyViewItem, QStringLiteral( "FreeBusyView" ) );
  mFreeBusyTitleItem = new KConfigSkeleton::ItemString( currentGroup(), QStringLiteral( "Free/Busy Title" ), mFreeBusyTitle, QLatin1String("Busy times") );
  mFreeBusyTitleItem->setLabel( QCoreApplication::translate("HTMLExportSettings", "Title of the free/busy list") );
  mFreeBusyTitleItem->setToolTip( QCoreApplication::translate("HTMLExportSettings", "Title for the free/busy list") );
  mFreeBusyTitleItem->setWhatsThis( QCoreApplication::translate("HTMLExportSettings", "Enter a title for the free/busy list, if free/busy times are exported.") );
  addItem( mFreeBusyTitleItem, QStringLiteral( "FreeBusyTitle" ) );
}

HTMLExportSettings::~HTMLExportSettings()
{
}

